using System;
using Server;

namespace Server.Items
{
	public class StrongVigorElixir : BaseVigorElixir
	{
		public override int MinRejuv { get{ return 20; } }
		public override int MaxRejuv { get{ return 25; } }
		public override double Delay { get{ return 10.0; } }

		[Constructable]
		public StrongVigorElixir( ) : base( PotionEffect.VigorStrong )
		{
			Name = "elixir of vigor";
			ItemID = 0x2037;
		}

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );
			list.Add( 1070722, "Strong" );
		}

		public StrongVigorElixir( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}